Page MenuHomePhabricator

S12. Flow Notifications are not marked as read by visiting the Topic page
Closed, ResolvedPublic3 Story Points

Description

If I click on the link in the Echo Flyout, for a new topic in a Flow board, I go to the Topic page. But the badge number doesn't change, and the item in the flyout is still marked as unread.
If I go to the Board itself, then the Notification is marked as read.
This is backwards from the spec.

Event Timeline

Quiddity created this task.Dec 20 2014, 7:36 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to High.
Quiddity changed Security from none to None.
Quiddity added a subscriber: Quiddity.
DannyH edited a custom field.Mar 11 2015, 6:41 PM
DannyH renamed this task from Flow Notifications are not marked as read by visiting the Topic page to S12. Flow Notifications are not marked as read by visiting the Topic page.Mar 11 2015, 9:48 PM

Change 197069 had a related patch set uploaded (by EBernhardson):
Allow multiple target pages per event

https://gerrit.wikimedia.org/r/197069

This is in code review for the first half. The second half, adding a second targetpage to the event is fairly trivial and will be done after reviewing the above patch.

Change 197075 had a related patch set uploaded (by EBernhardson):
Mark new topic notifications read from both board and topic pages

https://gerrit.wikimedia.org/r/197075

Change 197069 merged by jenkins-bot:
Allow multiple target pages per event

https://gerrit.wikimedia.org/r/197069

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 31 2015, 7:59 AM

Echo patch merged. Waiting for Echo schema change to be applied before merging Flow patch.

Not sure where exactly this belongs, its not waiting for code review so doesn't belong there. It is just blocked waiting on production schema changes before we can make this live in production.

DannyH closed this task as Resolved.Apr 9 2015, 12:33 AM
DannyH added a subscriber: DannyH.

Works on Beta

Change 197075 merged by jenkins-bot:
Mark new topic notifications read from both board and topic pages

https://gerrit.wikimedia.org/r/197075